System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbConnection System.ICloneable System.ComponentModel.DefaultEvent("InfoMessage") The SqlConnection class represents a SQL Server connection. When a previously opened SQLConnection goes out of scope, the database connection is not automatically closed. Connections that have been opened must be explicitly closed by calling either Close or Dispose.
- Constructor
  Initializes a new instance of the SqlConnection class.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor

  A value consisting of the desired database connection string.

  See for more information.

  Initializes a new instance of the SqlConnection class with a connection string.
  Providing a connection string to the SQLConnection constructor does not implicitly open a connection to a database.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.Common.DbTransaction `` To be added. To be added. To be added. To be added.
- Method
  System.Data.SqlClient.SqlTransaction Begins a new database transaction. A new instance of the class that references the current instance.

  Creates and initializes a new instance associated with the current .

  The new transaction is created with a default of and an empty transaction name.

  The class only supports a single transaction. The creation of more will raise an InvalidOperationException exception.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlClient.SqlTransaction `` An to initialize the transaction with. Begins a new database transaction with a specified . A new instance of the class that references the current instance.

  Creates and initializes a new instance associated with the current .

  The new transaction is created with an of the desired isolation level and an empty transaction name.

  The class only supports a single transaction. The creation of more will raise an InvalidOperationException exception.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlClient.SqlTransaction `` A value representing the desired transaction name. Begins a new database transaction with a specified transaction name. A new instance of the class that references the current instance.

  Creates and initializes a new instance associated with the current .

  The new transaction is created with a default of and a transaction name value provided by the transactionName parameter.

  The class only supports a single transaction. The creation of more will raise an InvalidOperationException exception.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.SqlClient.SqlTransaction `` `` An to initialize the transaction with. A value representing the desired transaction name. Begins a new database transaction with a specified and transaction name. A new instance of the class that references the current instance.

  Creates and initializes a new instance associated with the current .

  The new transaction is created using the provided and transaction name.

  The class only supports a single transaction. The creation of more will raise an InvalidOperationException exception.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The name of an existing database to associate the instance with. Change the database currently associated with the instance. Change the database currently associated with the instance. The SqlConnection instance must already be connected to a SQL Server database. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void To be added. To be added.
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void Close an open database connection. Calling this method closes a connection to a SQL Server or releases the connection back to the connection pool. The state is set to closed.

  Calling Close on a instance that is not currently open is acceptable; no exception is raised.

  If there are any pending transactions, they will be rolled back.

  1.0.5000.0
  2.0.0.0
- Property
  System.String Gets or sets the database Connection String associated with the SqlConnection instance. The current connection string.

  The Connection String is a value that describes how to connect to a SQL Server instance. The Connection String is composed of a series of name/value pairs connected by equal signs and separated by semicolons.

  The SQL Server Connection String should consist of at least the following:

  Data Source or Server
  Database or Initial Catalog

  The following illustrates a simple SQL Server Connection String that describes a connection to a database called pubs on the local machine as a user called username with a password of mypassword: `"Server=localhost;Database=pubs;Uid=username;Password=mypassword"`

  The Connection String can not be set when a connection to a database is already open.
1.0.5000.0
2.0.0.0
System.ComponentModel.RefreshProperties(System.ComponentModel.RefreshProperties.All)
System.ComponentModel.RecommendedAsConfigurable(true)
System.ComponentModel.Editor("Microsoft.VSDesigner.Data.SQL.Design.SqlConnectionStringEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
System.ComponentModel.DefaultValue("")
- Property
  System.Int32 Gets the amount of time the will wait while attempting to connect to a SQL Server instance. The amount of time (in seconds) the SqlConnection will wait when attempting to connect.

  The connection timeout is a value indicating the amount of time, in seconds, the SqlConnection will wait while attempting to connect to a SQL Server instance.

  The default timeout is 15 seconds.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Method
  System.Data.SqlClient.SqlCommand Creates a new instance of the class with the connection referencing the current instance. A new instance of the class.

  Creates a new instance of the class with the connection referencing the current instance.

  The returned instance can be used to execute T-SQL statements or stored procedures against the current database connection.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.Common.DbCommand To be added. To be added. To be added.
- Property
  System.String Gets the name of the database the instance references. Gets a value representing the current SQL Server database. Gets the name of the current database an open is currently connected to.

  The is set in the Connection String by supplying either a "database" or "initial catalog" value.

  The Database property can only be set when the has an open connection to a SQL Server. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.String Gets the current SQL Server that the references. Gets a value representing the current SQL Server instance.

  Gets the current DataSource the instance references. The DataSource is the SQL Server network address and (optionally) data port.

  The can be set in the Connection String by denoting it with one of the following key names: "data source", "server", "address", "addr", or "network address".

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(true)
- Method
  System.Void `` To be added: an object of type 'bool' Disposes the current instance.

  Disposes the current instance.

  Disposing this class will close the current connection, if one is active.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.DataTable To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.DataTable `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.DataTable `` `` To be added. To be added. To be added. To be added. To be added.
- Event
  System.Data.SqlClient.SqlInfoMessageEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Opens a connection to a SQL Server database.

  This method opens a new connection (or obtains an existing one from the connection pool) to a SQL Server database using a previously provided connection string.

  A SqlException will be thrown if the connection is closed and any commands are executed against the SQL server.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 Gets the packet size used to communicate with a SQL Server. The packet size, in bytes.

  Gets the packet size used to communicate with a SQL Server over a network.

  The can be set by appending the "packet size" value to the Connection String.

  The default packet size is 8192 bytes.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
- Property
  System.String Gets the version of a SQL Server instance. A value representing the version of the currently connected SQL Server instance. Gets the version of the SQL Server instance the is currently connected to. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Data.ConnectionState Gets the current connection state. The current connection state, represented by an instance of the enum. Gets the current connection state on the instance. This value indicates whether the connection is open or closed. 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Event
  System.Data.StateChangeEventHandler Event that is triggered when the connection's status changes. This event is triggered when the connection status changes to open or closed. 1.0.5000.0 System.Data.DataSysDescription(Description="Event triggered when the connection changes state.")
- Property
  2.0.0.0
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Data.IDbTransaction To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Data.IDbTransaction `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  System.Data.IDbCommand To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  System.String Gets the database connection client workstation ID. A value representing the connection's network client.

  Returns an ID that represents the database connection's network client.

  can be set by appending a "workstatation id" value to the Connection String.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)